*{padding: 0;margin: 0;border: 0;}

.all input{ 
	display: none;
}

.slider {
    width: 900px;
    height: 500px;
    overflow: hidden ;
}

.middle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.slides {
    width: 300%;
    height: 100%;
    display: flex;
}  

#desktop:checked ~ #slider{ 
    width: 300%;
    height: 100%;
    display: flex;
}

.slide {
    width: 33.33%;
    transition: 0.6s;
}

.navigations {
    position: absolute;
    bottom: 16px;
    left: 50%;
    transform:translateX(-50%); 
    display: flex;
}

.bar {
    height: 15px;
    width: 15px;
    border: 1px solid white;
    border-radius: 50%;
    margin: 5px;
    transition: 0.3s;
}

.bar:hover{
    background-color: white;
    opacity: 0.8;
    transform: scale(1.1);
}

#r1:checked ~ .navigations label:nth-child(1),
#r2:checked ~ .navigations label:nth-child(2),
#r3:checked ~ .navigations label:nth-child(3){
    background-color: white;
    opacity: 0.8;
}

.slide img{
    width: 100%;
    height: 100%;
}

#r1:checked ~ .slides .s1 {
    margin-left: 0;
}
#r2:checked ~ .slides .s1 {
    margin-left: -33.33%;    
}
#r3:checked ~ .slides .s1 {
    margin-left: -66.66%;
}

#r1:checked ~ #arrow label:nth-child(3),
#r2:checked ~ #arrow label:nth-child(1),
#r3:checked ~ #arrow label:nth-child(2){
    position: absolute;
    top: 50%;
    left: 8%;
    transform: translateY(-50%);
    background-image: url(../Task-1-7/Img/icons/kisspng-sulapac-oy-slider-computer-icons-transport-logistic-5b0e29f7198e62.png);
    background-size: cover;
    display: block;
    height: 100px;
    width: 50px;
    opacity: 0;
    transition: 0.5s;
}
#r1:checked ~ #arrow label:nth-child(2),
#r2:checked ~ #arrow label:nth-child(3),
#r3:checked ~ #arrow label:nth-child(1){
    position: absolute;
    top: 50%;
    right: 8%;
    transform: translateY(-50%);
    background-image: url(../Task-1-7/Img/icons/kisspng-sulapac-oy-slider-computer-icons-transport-logistic-5b0e29f7198e62\ \(1\).png);
    background-size: cover;
    display: block;
    height: 100px;
    width: 50px;
    opacity: 0;
    transition: 0.5s;
}

#r1:checked ~ #arrow label:nth-child(2):hover,
#r2:checked ~ #arrow label:nth-child(3):hover,
#r3:checked ~ #arrow label:nth-child(1):hover{
    opacity: 0.6;
}
#r1:checked ~ #arrow label:nth-child(3):hover,
#r2:checked ~ #arrow label:nth-child(1):hover,
#r3:checked ~ #arrow label:nth-child(2):hover{
    opacity: 0.6;
}

.bacground{
    width: 20%;
    height: 100%;
    position: absolute;
    top: 50%;
    transform:translateY(-50%);
    opacity: 0;
    transition: 0.5s;
}

.left{
    left: 0;
}
.right{
    right: 0;
}

.left:hover{
    opacity: 0.6;
    background: -moz-linear-gradient(left,  rgba(10,10,10,0.2) 0%, rgba(10,10,10,0.2) 1%, rgba(14,14,14,0.19) 8%, rgba(14,14,14,0.19) 11%, rgba(14,14,14,0.19) 14%, rgba(14,14,14,0.19) 16%, rgba(14,14,14,0.19) 19%, rgba(14,14,14,0.19) 22%, rgba(14,14,14,0.19) 24%, rgba(14,14,14,0.18) 28%, rgba(14,14,14,0.17) 31%);
    background: -webkit-linear-gradient(left,  rgba(10,10,10,0.2) 0%,rgba(10,10,10,0.2) 1%,rgba(14,14,14,0.19) 8%,rgba(14,14,14,0.19) 11%,rgba(14,14,14,0.19) 14%,rgba(14,14,14,0.19) 16%,rgba(14,14,14,0.19) 19%,rgba(14,14,14,0.19) 22%,rgba(14,14,14,0.19) 24%,rgba(14,14,14,0.18) 28%,rgba(14,14,14,0.17) 31%);
    background: linear-gradient(to right,  rgba(10,10,10,0.2) 0%,rgba(10,10,10,0.2) 1%,rgba(14,14,14,0.19) 8%,rgba(14,14,14,0.19) 11%,rgba(14,14,14,0.19) 14%,rgba(14,14,14,0.19) 16%,rgba(14,14,14,0.19) 19%,rgba(14,14,14,0.19) 22%,rgba(14,14,14,0.19) 24%,rgba(14,14,14,0.18) 28%,rgba(14,14,14,0.17) 31%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#330a0a0a', endColorstr='#2b0e0e0e',GradientType=1 );
}

.right:hover{
    opacity: 0.6;
    background: -moz-linear-gradient(left,  rgba(14,14,14,0.17) 69%, rgba(14,14,14,0.17) 72%, rgba(14,14,14,0.17) 76%, rgba(14,14,14,0.17) 78%, rgba(14,14,14,0.17) 81%, rgba(14,14,14,0.17) 84%, rgba(14,14,14,0.17) 86%, rgba(14,14,14,0.18) 89%, rgba(14,14,14,0.19) 92%, rgba(10,10,10,0.2) 99%, rgba(10,10,10,0.2) 100%);
    background: -webkit-linear-gradient(left,  rgba(14,14,14,0.17) 69%,rgba(14,14,14,0.17) 72%,rgba(14,14,14,0.17) 76%,rgba(14,14,14,0.17) 78%,rgba(14,14,14,0.17) 81%,rgba(14,14,14,0.17) 84%,rgba(14,14,14,0.17) 86%,rgba(14,14,14,0.18) 89%,rgba(14,14,14,0.19) 92%,rgba(10,10,10,0.2) 99%,rgba(10,10,10,0.2) 100%);
    background: linear-gradient(to right,  rgba(14,14,14,0.17) 69%,rgba(14,14,14,0.17) 72%,rgba(14,14,14,0.17) 76%,rgba(14,14,14,0.17) 78%,rgba(14,14,14,0.17) 81%,rgba(14,14,14,0.17) 84%,rgba(14,14,14,0.17) 86%,rgba(14,14,14,0.18) 89%,rgba(14,14,14,0.19) 92%,rgba(10,10,10,0.2) 99%,rgba(10,10,10,0.2) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#2b0e0e0e', endColorstr='#330a0a0a',GradientType=1 );
}

label{
	cursor: pointer;
}



